Bug 242243 - DejaVu fonts in firefox/thunderbird
DejaVu fonts in firefox/thunderbird
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 12:38 EDT by K H
Modified: 2008-02-22 05:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 05:31:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Font selection dialog showing incorrect DejaVu fonts (25.09 KB, image/png)
2007-06-03 12:19 EDT, K H
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 419001 None None None Never

  None (edit)
Description K H 2007-06-02 12:38:09 EDT
Description of problem:
I just upgraded from FC6 to F7.  I was using the mozilla download of firefox &
thunderbird on FC6 but am using the package versions on F7.

Version-Release number of selected component (if applicable):
firefox-2.0.0.4-1.fc7
thunderbird-2.0.0.0-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. Open the font preferences dialog
2. choose one of the font option menus

  
Actual results:
"DejaVu Sans" is listed 6 times and no "DejaVu Sans Condensed", "DejaVu Sans
ExtraLight", etc.  Similar results for "DejaVu Serif"


Expected results:
I would expect to see a similar font set as in the gnome font config tool

Additional info:
Occurs in Firefox and Thunderbird.  Downloaded version from mozilla website
exhibits same behavior on F7 (worked great on FC6).  I tried manually setting
"DejaVu Sans Condensed" via about:config but no avail.
Comment 1 Christopher Aillon 2007-06-02 14:33:31 EDT
If it happens in the upstream version, we should send the bug to mozilla.org. 
Looks like the problem is that the widget is not wide enough/doesn't expand to
fit its content.
Comment 2 K H 2007-06-03 12:19:32 EDT
Created attachment 156026 [details]
Font selection dialog showing incorrect DejaVu fonts
Comment 3 K H 2007-06-03 12:23:09 EDT
There is plenty of space in the widget to display the whole font name.   As I
said, the same 2.0.0.4 binary worked great on FC6.  I suspect that it may an
issue interacting with a shared library that changed between FC6 and F7.
Comment 4 Christopher Aillon 2007-06-03 13:56:38 EDT
It could just be that I don't have any longer named fonts, them.  Behdad, any
idea why this might be happening?  Did the names we report change or something?
Comment 5 K H 2007-06-04 00:42:44 EDT
In the Gnome Systen->Look & Feel->Font tool, the font selection tool has 2 lists
labeled "Family" and "Style".  The Family "DejaVu Sans"  has styles ExtraLight,
Condensed, Book, Condensed Oblique, Condensed Bold, Bold, Condensed Bold
Oblique, and Bold Oblique.  I checked on FC6 and the package
dejavu-fonts-experimental includes a font family name "DejaVu Sans Condensed"
with styled Condensed, Oblique, Bold, and Bold Oblique. 

So it looks like the font names were cleaned up somewhat in F7 and Firefox only
considers the family not the the style.
Comment 6 Behdad Esfahbod 2007-06-05 00:02:53 EDT
(In reply to comment #4)
> It could just be that I don't have any longer named fonts, them.  Behdad, any
> idea why this might be happening?  Did the names we report change or something?

fontconfig's behavior was changed to use the "preferred family name" field of
the font files, which is why you get DejaVu Sans for them all, which makes
sense.  However, it relies on apps to be able to handle arbitrary font styles,
something that neither pango nor firefox seems to be prepared for at this time. :(
Comment 7 Christopher Aillon 2007-06-05 01:39:37 EDT
Is this something that should happen in firefox or pango?
Comment 8 Rob Andrews 2007-06-05 20:01:37 EDT
As a side note, I'm noticing this in Debian Iceweasel also. I've raised a bug
for an additional issue regarding condensed fonts that I think is associated.

If I set the application font in the GNOME font panel to DejaVu Sans Condensed,
each application takes DejaVu Sans Condensed, except Iceweasel - which uses
DejaVu Sans Regular. I've manually unpacked and installed the F7 RPM to see if
it exhibits the same behaviour, and it does. 

I think it's related to this issue.

The debian bug is http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=410247, if
you are interested!
Comment 9 Behdad Esfahbod 2007-06-19 15:45:47 EDT
(In reply to comment #7)
> Is this something that should happen in firefox or pango?

firefox does its own font enumeration (even in the Pango backend).
I'll see if I can make it use pango, but I've promised to do other stuff too...
Comment 10 Matěj Cepl 2008-02-21 17:34:13 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 11 Matěj Cepl 2008-02-21 17:35:20 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 12 K H 2008-02-21 19:48:54 EST
I just installed firefox 3 beta 3 from the mozilla site.  When under the font
selection dialog, it still does not recognized the styles such as Condensed.  On
a good note, it only lists each family once.
Comment 13 Matěj Cepl 2008-02-22 05:31:54 EST
OK, so currently the problem is that Firefox doesn’t show other versions of the
font from the same family (e.g., Dejavu Condensed and shows only Dejavu once),
right?

We filed this bug into the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=419001) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.